org.apache.poi.hwpf.usermodel

## Class DateAndTime

- java.lang.Object
- - org.apache.poi.hwpf.usermodel.DateAndTime

- All Implemented Interfaces:
    Duplicatable

      public final class DateAndTime
      extends java.lang.Object
      implements Duplicatable

  This class is used to represent a date and time in a Word document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateAndTime()`
    `DateAndTime(byte[] buf, int offset)`
    `DateAndTime(DateAndTime other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DateAndTime` | `clone()` Deprecated.
    `DateAndTime` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.Calendar` | `getDate()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `void` | `serialize(byte[] buf, int offset)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateAndTime

          public DateAndTime()

    - #### DateAndTime

          public DateAndTime(DateAndTime other)

    - #### DateAndTime

          public DateAndTime(byte[] buf,
                             int offset)

  - ### Method Detail

    - #### getDate

          public java.util.Calendar getDate()

    - #### serialize

          public void serialize(byte[] buf,
                                int offset)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DateAndTime clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DateAndTime copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.